/* ===== products-container ===== */

.products-container {
    max-width: 1440px;
    margin: auto;
    padding: 90px 20px;
}

.post-type-archive-product {
    background-color: #fafafa !important;
}

.shop-page-banner img {
    width: 100%;
    height: 100% !important;
    object-fit: cover;
    position: relative;
}

.shop-page-banner {
    position: relative;
    height: 542px !important;
}

.shop-page-banner::after {
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    object-fit: cover;
    top: 0;
    left: 0;
}

.shop-title {
    position: absolute;
    z-index: 9;
    top: 55%;
    color: #fff;
    left: 50%;
    transform: translate(-50%, -50%);
}

.shop-title h1 {
    text-transform: capitalize;
    font-weight: 700 !important;
    margin: 0 !important;
}

/* ===== SECTION ===== */
.products-container .menu-section {
    background: #fff;
    border-radius: 10px;
    margin-bottom: 68px;
    overflow: hidden;
}

/* ===== HEADER ===== */
.products-container .menu-header {
    padding: 32px 38px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
}

.products-container .menu-header h2 {
    margin: 0;
    color: #BF3B3B;
    font-weight: 700;
}

.products-container .menu-header .header-text {
    display: flex;
    flex-direction: column;
}

.products-container .menu-header p {
    margin: 5px 0 0;
    font-size: 24px;
    color: #000000;
}


.products-container .chevron {
    width: 12px;
    height: 12px;
    border-right: 2px solid #333;
    border-bottom: 2px solid #333;
    transform: rotate(45deg);
    transition: 0.3s ease;
}

.products-container .menu-header.active .chevron {
    transform: rotate(-135deg);
}

/* ===== CONTENT ===== */
.products-container .menu-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease;
}

/* ===== PRODUCTS GRID ===== */
.products-container .all-products {
    padding: 0 38px 48px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 39px;
}

/* ===== CARD ===== */

.products-container .product-card {
    border: 1px solid #eee;
    border-radius: 2px;
    background: #fff;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    padding: 5px;
}

.products-container .product-card img {
    width: 100%;
    height: 140px;
    object-fit: cover;
    border-radius: 2px;
}

.products-container .card-body {
    padding: 22px 13px 21px;
    display: flex;
    flex-direction: column;
    flex: 1;
    gap: 25px;
    justify-content: space-between;
}

.products-container .product-card h3 {
    margin: 0 0 2px;
    font-size: 24px;
    color: #000000;
    font-weight: 800;
}

.products-container .product-card p {
    font-size: 16px;
    color: #7C7C7C;
    margin: 0 0 22px;
    flex: 1;
}

.products-container .price-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.products-container .price {
    font-weight: 500;
    font-size: 24px;
    color: #BF3B3B;
}

.products-container .add-btn {
    background: #f7c100;
    border: none;
    padding: 11px 45px;
    border-radius: 2px;
    cursor: pointer;
    font-weight: 500;
    font-size: 16px;
    border: 1px solid #f7c100 !important;
}

.products-container .add-btn:hover {
    border: 1px solid #000000 !important;
}

/*============ POPUP MODAL ============*/

.product-modal-wrap .pm-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 99;
}

.product-modal-wrap .pm-box {
    background: #fff;
    width: 100%;
    max-width: 1400px;
    min-height: 80vh;
    max-height: 90vh;
    padding: 70px;
    position: relative;
    overflow: auto;
}

/* CLOSE */
.product-modal-wrap .pm-close {
    position: absolute;
    top: 15px;
    right: 15px;
    border: none;
    background: #eee;
    width: 54px;
    height: 54px;
    border-radius: 2px !important;
    font-size: 40px;
    cursor: pointer;
    padding: 0px !important;
    font-weight: 300 !important;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* GRID */
.product-modal-wrap .pm-content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 70px;
}

/* IMAGE */
.product-modal-wrap .pm-image img {
    width: 100%;
    height: 500px;
    max-height: 100%;
    object-fit: cover;
}

/* INFO */
.product-modal-wrap .pm-category {
    background: #fde7e7;
    color: #BF3B3B;
    padding: 7px 15px 5px;
    line-height: 1 !important;
    font-size: 13px;
    border-radius: 20px;
    display: inline-block;
}

.product-modal-wrap .pm-title {
    margin: 12px 0 6px;
    font-weight: 700 !important;
}

.product-modal-wrap .pm-price {
    color: #BF3B3B;
    font-size: 24px;
    font-weight: 600;
}

.product-modal-wrap .pm-short-desc {
    margin: 15px 0;
    color: #7C7C7C !important;
    font-size: 16px !important;
}

/* QTY */
.product-modal-wrap .pm-qty {
    display: flex;
    align-items: center;
    border: 1px solid #ddd;
    width: 110px;
}

.product-modal-wrap .pm-qty-1220 {
    display: flex;
    align-items: center;
    width: 145px !important;
    justify-content: space-between;
}

.pm-qty-1220 #qty-1220 {
    font-size: 20px !important;
}

.product-modal-wrap .pm-qty-btn {
    width: 35px;
    height: 35px;
    border: none;
    background: #f5f5f5;
    cursor: pointer;
    font-size: 18px;
}

.product-modal-wrap #qty {
    flex: 1;
    text-align: center;
}

/* TABS */
.product-modal-wrap .pm-tabs {
    display: flex;
    margin-top: 25px;
}

.product-modal-wrap .pm-tab-btn {
    padding: 10px 20px;
    border: none;
    background: none;
    cursor: pointer;
    background: transparent;
}

.product-modal-wrap .pm-tab-btn {
    margin-bottom: -2px;
    z-index: 0;
    position: relative;
    border: 1px solid #ffffff00;
    color: #7C7C7C !important;
    font-size: 24px;
}

.product-modal-wrap .pm-tab-btn:hover{
    background: transparent !important;
    border: 1px solid #CACACA !important;
}

.product-modal-wrap .pm-tab-btn.active {
    border: 1px solid #CACACA !important;
    z-index: 9;
    border-bottom: 1px solid transparent !important;
    border-radius: 0 !important;
    background: #ffffff !important;
    color: #7C7C7C !important;
    background-color: transparent !important;
}

/* TAB CONTENT */

.product-modal-wrap .pm-tab-content {
    display: none;
    padding: 42px 41px 30px 33px;
    border: 1px solid #CACACA;
    color: #000000;
    font-size: 20px !important;
}

.product-modal-wrap .pm-tab-content.active {
    display: block;
}

.pm-tabs #ing {
    max-height: 230px !important;
    overflow: auto;
}

.pm-tabs #desc {
    max-height: 230px !important;
    overflow: auto;
}

/* loader */

:root {
    --loading-color: #BF3B3B;
}

.loading-pulse {
    align-items: center;
    column-gap: 5px;
    display: flex;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.loading-pulse>.loading-dot {
    animation-iteration-count: infinite;
    animation-duration: 2s;
    aspect-ratio: 1;
    background-color: var(--loading-color);
    border-radius: 50%;
    transform: scale(0);
    width: 20px;
}

.loading-pulse>.loading-dot:nth-child(1) {
    animation-name: pulse;
    animation-delay: 0s;
}

.loading-pulse>.loading-dot:nth-child(2) {
    animation-name: pulse;
    animation-delay: 0.333s;
}

.loading-pulse>.loading-dot:nth-child(3) {
    animation-name: pulse;
    animation-delay: 0.666s;
}

@keyframes pulse {
    0% {
        opacity: 0;
        transform: scale(0);
    }

    50% {
        opacity: 1;
        transform: scale(1);
    }

    100% {
        opacity: 0;
        transform: scale(0);
    }
}

/* ==============================
   RESPONSIVE STYLES
================================*/

@media (max-width: 1599px) {

    .product-modal-wrap .pm-box {
        max-width: 1200px !important;
        width: 90vw !important;
    }

    .products-container {
        max-width: 1200px;
        margin: auto;
        padding: 60px 20px;
    }

    .products-container .price {
        font-size: 22px;
    }

    .products-container .product-card h3 {
        font-size: 22px;
    }

    .shop-page-banner {
        height: 460px !important;
    }

    .product-modal-wrap .pm-box {
        width: 90%;
        max-width: 1200px !important;
        padding: 35px !important;
    }

    .product-modal-wrap .pm-tab-btn {
        font-size: 18px !important;
    }

    .product-modal-wrap .pm-image img {
        width: 100%;
        height: 430px;
    }

    .product-modal-wrap .pm-tab-content {
        padding: 25px 30px 30px 30px !important;
    }

    .product-modal-wrap .pm-box {
        width: 90%;
        max-width: 1200px !important;
        padding: 35px !important;
    }

    .product-modal-wrap .pm-tab-btn {
        font-size: 18px !important;
    }

    .product-modal-wrap .pm-image img {
        width: 100%;
        height: 430px;
    }

    .product-modal-wrap .pm-tab-content {
        padding: 25px 30px 30px 30px !important;
    }


}

@media (max-width: 1366px) {

    .shop-page-banner {
        height: 420px !important;
    }

    .products-container .all-products {
        gap: 20px !important;
    }

    .products-container .menu-section {
        margin-bottom: 45px;
    }

    .products-container {
        max-width: 1200px;
        width: 100%;
        margin: auto;
        padding: 50px 20px;
    }

    .products-container .menu-header {
        padding: 25px 25px;
    }

    .products-container .all-products {
        padding: 0 25px 25px;
    }

    .products-container .price {
        font-size: 20px;
    }

    .products-container .product-card h3 {
        font-size: 20px;
    }

    .products-container .menu-section {
        margin-bottom: 35px;
    }

    .product-modal-wrap .pm-content {
        gap: 25px;
    }

    .pm-content .quantiy-add .pm-qty-1220 button {
        padding: 5px 15px !important;
        line-height: 0.6em;
    }

    .product-modal-wrap .pm-qty-1220 {
        width: 120px !important;
    }

    .product-modal-wrap .pm-content {
        gap: 25px;
    }

    .pm-content .quantiy-add .pm-qty-1220 button {
        padding: 5px 15px !important;
        line-height: 0.6em;
    }

    .product-modal-wrap .pm-qty-1220 {
        width: 120px !important;
    }

}

/* Large tablets / small laptops */
@media (max-width: 1199px) {

    .products-container {
        padding: 40px 20px 20px;
    }

    .products-container .all-products {
        grid-template-columns: repeat(3, 1fr);
        gap: 28px;
    }

    /* .products-container .menu-header h2 {
        font-size: 38px;
    } */

    .products-container .menu-header p {
        font-size: 18px;
    }

    .products-container .product-card h3 {
        font-size: 18px;
    }

    .products-container .price {
        font-size: 28px;
    }

    .products-container .menu-section {
        margin-bottom: 25px;
    }

}

@media (max-width: 1024px) {
    .shop-page-banner {
        height: 370px !important;
    }

    .product-modal-wrap .pm-tab-content {
        padding: 15px !important;
        font-size: 16px !important;
    }

    .product-modal-wrap .pm-image img {
        height: 310px;
    }
}

/* Tablets */
@media (max-width: 900px) {

    .products-container {
        padding: 40px 15px 20px;
    }

    .products-container .menu-header {
        padding: 28px 20px;
        flex-direction: row;
        align-items: center;
    }

    .products-container .header-text {
        max-width: calc(100% - 30px);
    }

    .products-container .all-products {
        grid-template-columns: repeat(2, 1fr);
        padding: 0 20px 32px;
        gap: 22px;
    }

    .products-container .product-card h3 {
        font-size: 20px;
    }

    .products-container .price {
        font-size: 20px;
    }

    .products-container .add-btn {
        padding: 12px 36px;
        font-size: 14px;
    }

    .products-container .menu-section {
        margin-bottom: 20px;
    }
}

/* ./loader */

/* MOBILE */
@media(max-width:768px) {
    .product-modal-wrap .pm-content {
        grid-template-columns: 1fr;
    }

    .products-container .menu-header {
        padding: 20px 15px;
    }

    .product-modal-wrap .pm-image img {
        height: 245px;
    }

    .product-modal-wrap .pm-content {
        gap: 10px;
    }

    .quantiy-add .modal-add-button {
        padding-bottom: 8px !important;
        padding-top: 8px !important;
    }

    .pm-content .quantiy-add .pm-qty-1220 button {
        font-size: 20px !important;
    }

    .product-modal-wrap .pm-tab-btn {
        font-size: 16px !important;
    }

    .product-modal-wrap .pm-box {
        padding: 20px !important;
    }
}

/* Mobile */
@media (max-width: 520px) {

    .products-container .menu-header h2 {
        font-size: 20px !important;
    }

    .products-container .menu-header {
        padding: 20px 15px;
    }

    .products-container .chevron {
        width: 10px;
        height: 10px;
    }

    /* .products-container .menu-header h2 {
        font-size: 28px;
    } */

    .products-container .menu-header p {
        font-size: 14px;
    }

    .products-container .all-products {
        grid-template-columns: 1fr;
        padding: 0 18px 28px;
    }

    .products-container .card-body {
        padding: 10px 10px 10px;
        gap: 10px;
    }

    .products-container .product-card p {
        font-size: 14px;
        margin-bottom: 18px;
    }

    .products-container .add-btn {
        width: 100%;
        text-align: center;
        padding: 8px 10px;
    }
}